//+------------------------------------------------------------------+
//|                                                MG StopOrders.mq4 |
//|                                  Corrected  2011, Mazur Gennady |
//|                                       mailto: gennady@mazuru.com |
//+------------------------------------------------------------------+
#property copyright "Corrected  2011, Mazur Gennady"
#property link      "mailto: gennady@mazuru.com"

#property show_inputs
extern bool        BuyStop=true;
extern int         NOrders=5;
extern double      Lot=0.1;
extern int         Shag=5;
extern int         Profit=15;
extern int         StopLoss=25;
extern int         Magic=123456789;


//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   double price;
   double sl=0,tp=0;
   int type;
   double minotstup=MarketInfo(Symbol(),MODE_STOPLEVEL);
   for(int i=0;i<NOrders;i++)
   {
     if(i==0)
     {
         if(BuyStop)
         {
           type=4;
           price=Ask+minotstup*Auto_Points()+(Ask-Bid);
           if(Profit!=0) tp=price+Profit*Auto_Points();
           if(StopLoss!=0) sl=price-StopLoss*Auto_Points();
         }
         else
         {
           type=5;
           price=Bid-minotstup*Auto_Points()-(Ask-Bid);
           if(Profit!=0) tp=price-Profit*Auto_Points();
           if(StopLoss!=0) sl=price+StopLoss*Auto_Points();
         }
     }
     else
     {
         if(BuyStop)
         {
           type=4;
           price=price+Shag*Auto_Points();
           if(Profit!=0) tp=price+Profit*Auto_Points();
           if(StopLoss!=0) sl=price-StopLoss*Auto_Points();
         }
         else
         {
           type=5;
           price=price-Shag*Auto_Points();
           if(Profit!=0) tp=price-Profit*Auto_Points();
           if(StopLoss!=0) sl=price+StopLoss*Auto_Points();
         }
     }
     int ticket=OrderSend(Symbol(),type,Lot,price,Deviation(),sl,tp,"MG StopOrders",Magic,0,CLR_NONE);
     
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
double Auto_Points()
{
  if(Digits==5 || Digits==3) return(Point*10.0);
  else return(Point);
}
int Deviation()
{
    if(Digits==5 || Digits==3) return(50);
    else return(5);
}


